cURL
curl -i -X DELETE "https://api.box.com/2.0/shield_information_barrier_segments/3423" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.shield_information_barrier_segments.delete_shield_information_barrier_segment_by_id(
segment_id
)await client.shieldInformationBarrierSegments.deleteShieldInformationBarrierSegmentById(
segmentId,
);try await client.shieldInformationBarrierSegments.deleteShieldInformationBarrierSegmentById(shieldInformationBarrierSegmentId: segmentId)client.getShieldInformationBarrierSegments().deleteShieldInformationBarrierSegmentById(segmentId)await client.ShieldInformationBarrierSegments.DeleteShieldInformationBarrierSegmentByIdAsync(shieldInformationBarrierSegmentId: segmentId);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}エンドポイント
Shield情報バリアのセグメントを削除
指定されたIDに基づいてShield情報バリアのセグメントを削除します。
DELETE
/
shield_information_barrier_segments
/
{shield_information_barrier_segment_id}
cURL
curl -i -X DELETE "https://api.box.com/2.0/shield_information_barrier_segments/3423" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.shield_information_barrier_segments.delete_shield_information_barrier_segment_by_id(
segment_id
)await client.shieldInformationBarrierSegments.deleteShieldInformationBarrierSegmentById(
segmentId,
);try await client.shieldInformationBarrierSegments.deleteShieldInformationBarrierSegmentById(shieldInformationBarrierSegmentId: segmentId)client.getShieldInformationBarrierSegments().deleteShieldInformationBarrierSegmentById(segmentId)await client.ShieldInformationBarrierSegments.DeleteShieldInformationBarrierSegmentByIdAsync(shieldInformationBarrierSegmentId: segmentId);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。「Box SDKのバージョニング戦略について詳しく学ぶ。」
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
